package domain


type AlibabaPricePromotionItemAddResult struct {
    /*
        编码     */
    Code  *int64 `json:"code,omitempty" `

    /*
        结果内容     */
    Data  *AlibabaPricePromotionItemAddPromotionContentResult `json:"data,omitempty" `

    /*
        信息     */
    Msg  *string `json:"msg,omitempty" `

    /*
        是否成功     */
    SuccAndNotNull  *bool `json:"succ_and_not_null,omitempty" `

    /*
        是否成功     */
    IsSuccess  *bool `json:"is_success,omitempty" `

    /*
        数量     */
    TotalRecord  *int64 `json:"total_record,omitempty" `

}

func (s *AlibabaPricePromotionItemAddResult) SetCode(v int64) *AlibabaPricePromotionItemAddResult {
    s.Code = &v
    return s
}
func (s *AlibabaPricePromotionItemAddResult) SetData(v AlibabaPricePromotionItemAddPromotionContentResult) *AlibabaPricePromotionItemAddResult {
    s.Data = &v
    return s
}
func (s *AlibabaPricePromotionItemAddResult) SetMsg(v string) *AlibabaPricePromotionItemAddResult {
    s.Msg = &v
    return s
}
func (s *AlibabaPricePromotionItemAddResult) SetSuccAndNotNull(v bool) *AlibabaPricePromotionItemAddResult {
    s.SuccAndNotNull = &v
    return s
}
func (s *AlibabaPricePromotionItemAddResult) SetIsSuccess(v bool) *AlibabaPricePromotionItemAddResult {
    s.IsSuccess = &v
    return s
}
func (s *AlibabaPricePromotionItemAddResult) SetTotalRecord(v int64) *AlibabaPricePromotionItemAddResult {
    s.TotalRecord = &v
    return s
}
